package cn.com.qmth.examcloud.exchange.outer.api.provider;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreDataCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetAuditDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetAuditDataResp;
import cn.com.qmth.examcloud.exchange.outer.api.GetExamRecordAuditInfoService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetExamRecordAuditInfoReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetExamRecordAuditInfoResp;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import cn.com.qmth.examcloud.web.support.StatusResponse;

@Api("获取考试记录审核信息服务")
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/examRecordAuditInfo")
public class GetExamRecordAuditInfoServiceProvider  extends ControllerSupport implements GetExamRecordAuditInfoService{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4020820717853946467L;
	
	@Autowired
	private ExamScoreDataCloudService examScoreDataCloudService;
	
	@ApiOperation(value = "获取考试记录审核信息", httpMethod = "POST")
	@ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterGetExamRecordAuditInfoResp.class),
			@ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
	@PostMapping("/getExamRecordAuditInfo")
	@Override
	public OuterGetExamRecordAuditInfoResp getExamRecordAuditInfo(@RequestBody OuterGetExamRecordAuditInfoReq req) {
		if (!getEnterpriseRootOrgId().equals(req.getRootOrgId())) {
			throw new StatusException("1000001", "rootOrgId is wrong");
		}
		if (req.getExamRecordDataId()==null) {
			throw new StatusException("1000002", "examRecordDataId is null");
		}
		GetAuditDataReq getAuditDataReq = new GetAuditDataReq();
		getAuditDataReq.setExamRecordDataId(req.getExamRecordDataId());
		GetAuditDataResp auditDataResp = examScoreDataCloudService.getAuditData(getAuditDataReq);
		OuterGetExamRecordAuditInfoResp resp = new OuterGetExamRecordAuditInfoResp();
		resp.setExamRecordDataId(req.getExamRecordDataId());
		if(auditDataResp!=null){
			resp.setDisciplineType(auditDataResp.getDisciplineType());
			resp.setDisciplineDetail(auditDataResp.getDisciplineDetail());
			resp.setCreationTime(auditDataResp.getCreationTime());
			resp.setAuditUserName(auditDataResp.getAuditUserName());
			resp.setIsDiscipline(auditDataResp.getIsDiscipline());
		}
		return resp;
	}

}
