package cn.com.qmth.examcloud.exchange.outer.api.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 
 * @author  	chenken
 * @date    	2019年1月23日 上午9:59:27
 * @company 	QMTH
 * @description Student4BatchBean.java
 */
public class Student4BatchBean implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4695731347447671839L;

	/**
	 * 学生姓名
	 */
	@ApiModelProperty(value = "学生姓名", example = "赵飞燕", required = true)
	private String name;

	/**
	 * 顶级机构ID
	 */
	@ApiModelProperty(value = "顶级机构ID", example = "0", required = true)
	private Long rootOrgId;

	/**
	 * 机构ID
	 */
	@ApiModelProperty(value = "学习中心ID", example = "1", required = false)
	private Long orgId;

	/**
	 * 学习中心编码
	 */
	@ApiModelProperty(value = "学习中心编码", example = "LC111111", required = true)
	private String orgCode;

	/**
	 * 学习中心名称
	 */
	@ApiModelProperty(value = "学习中心名称", example = "LC111111", required = true)
	private String orgName;

	/**
	 * 学生code
	 */
	@ApiModelProperty(value = "学号", example = "1111", required = true)
	private String studentCode;

	/**
	 * 身份证号码
	 */
	@ApiModelProperty(value = "身份证号", example = "XXXXXXXXXXXXXXXXXX", required = true)
	private String identityNumber;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "xx", required = false)
	private String remark;

	/**
	 * 图片地址
	 */
	@ApiModelProperty(value = "图片URL", example = "http://xxxx.xx/photo.jpg", required = false)
	private String photoUrl;

	/**
	 * 手机号码
	 */
	@ApiModelProperty(value = "手机号码", example = "XXXXXXXXXXX", required = true)
	private String phoneNumber;

	/**
	 * 操作者
	 */
	@ApiModelProperty(value = "操作者", example = "XXX", required = true)
	private String operator;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getPhotoUrl() {
		return photoUrl;
	}

	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	
}
