package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterSaveExamStudentReq extends EnterpriseRequest {

	private static final long serialVersionUID = -8455805881947392754L;

	@ApiModelProperty(value = "顶级机构", example = "0", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "考试ID", example = "100", required = false)
	private Long examId;

	@ApiModelProperty(value = "考试名称", example = "2018年秋季入学考试", required = true)
	private String examName;

	@ApiModelProperty(value = "学生姓名", example = "陈圆圆", required = true)
	private String studentName;

	@ApiModelProperty(value = "学生学号", example = "2018001001", required = false)
	private String studentCode;

	@ApiModelProperty(value = "学生身份证号", example = "XXXXXXXXXXXXXXXXXX", required = true)
	private String identityNumber;

	@ApiModelProperty(value = "考试课程名称", example = "大学英语", required = true)
	private String courseName;

	@ApiModelProperty(value = "考试课程code", example = "K2", required = true)
	private String courseCode;

	@ApiModelProperty(value = "考试课程level.  ZSB:专升本;GQZ:高起专;GQB:高起本;ALL:不限", example = "ALL", required = true)
	private String courseLevel;

	@ApiModelProperty(value = "试卷类型,大写字母A-Z", example = "X", required = true)
	private String paperType;

	@ApiModelProperty(value = "信息采集人", example = "赵飞燕", required = false)
	private String infoCollector;

	@ApiModelProperty(value = "专业名称", example = "计算机", required = false)
	private String specialtyName;

	@ApiModelProperty(value = "考点", example = "武汉", required = false)
	private String examSite;

	@ApiModelProperty(value = "年级", example = "2018", required = false)
	private String grade;

	@ApiModelProperty(value = "备注", example = "XX", required = false)
	private String remark;

	@ApiModelProperty(value = "扩展属性1", example = "XX", required = false)
	private String ext1;

	@ApiModelProperty(value = "扩展属性2", example = "XX", required = false)
	private String ext2;

	@ApiModelProperty(value = "扩展属性3", example = "XX", required = false)
	private String ext3;

	@ApiModelProperty(value = "扩展属性4", example = "XX", required = false)
	private String ext4;

	@ApiModelProperty(value = "扩展属性5", example = "XX", required = false)
	private String ext5;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

}
